E-MailRelay

Public Member Functions | List of all members
GNet::TaskImp Class Reference

A private implementation class used by GNet::Task. More...

Inheritance diagram for GNet::TaskImp:

## Public Member Functions
| TaskImp (Task &, ExceptionSink es, bool sync, const G::ExecutableCommand &, const G::Environment &env, G::NewProcess::Fd fd_stdin, G::NewProcess::Fd fd_stdout, G::NewProcess::Fd fd_stderr, const G::Path &cd, const std::string &exec_error_format, const G::Identity &id)
void | start ()
std::pair< int, std::string > | wait ()
bool | zombify ()
| TaskImp (const TaskImp &)=delete
| TaskImp (TaskImp &&)=delete
void | operator= (const TaskImp &)=delete
void | operator= (TaskImp &&)=delete

## Detailed Description

A private implementation class used by GNet::Task.

Definition at line 35 of file gtask.cpp.

## Constructor & Destructor Documentation

## ◆ TaskImp()

GNet::TaskImp::TaskImp | ( | Task & | task,
|  | ExceptionSink | es,
|  | bool | sync,
|  | const G::ExecutableCommand & | commandline,
|  | const G::Environment & | env,
|  | G::NewProcess::Fd | fd_stdin,
|  | G::NewProcess::Fd | fd_stdout,
|  | G::NewProcess::Fd | fd_stderr,
|  | const G::Path & | cd,
|  | const std::string & | exec_error_format,
|  | const G::Identity & | id
| ) |  |

Definition at line 95 of file gtask.cpp.

## ◆ ~TaskImp()

GNet::TaskImp::~TaskImp | ( |  | ) |
| override

Definition at line 134 of file gtask.cpp.

## Member Function Documentation

## ◆ wait()

std::pair< int, std::string > GNet::TaskImp::wait | ( |  | ) |

Definition at line 190 of file gtask.cpp.

## ◆ zombify()

bool GNet::TaskImp::zombify | ( |  | ) |

Definition at line 149 of file gtask.cpp.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gtask.cpp